diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-option-header.h ns-3.44/src/internet/model/ipv6-option-header.h
--- ns-3.43/src/internet/model/ipv6-option-header.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-option-header.h	2025-03-09 16:55:49.399371100 -0700
@@ -17,16 +17,16 @@
 {
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief Header for IPv6 Option.
+ * @brief Header for IPv6 Option.
  */
 class Ipv6OptionHeader : public Header
 {
   public:
     /**
-     * \struct Alignment
-     * \brief represents the alignment requirements of an option header
+     * @struct Alignment
+     * @brief represents the alignment requirements of an option header
      *
      * Represented as factor*n+offset (eg. 8n+2) See \RFC{2460}.
      * No alignment is represented as 1n+0.
@@ -38,79 +38,79 @@
     };
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionHeader();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionHeader() override;
 
     /**
-     * \brief Set the type of the option.
-     * \param type the type of the option
+     * @brief Set the type of the option.
+     * @param type the type of the option
      */
     void SetType(uint8_t type);
 
     /**
-     * \brief Get the type of the option.
-     * \return the type of the option
+     * @brief Get the type of the option.
+     * @return the type of the option
      */
     uint8_t GetType() const;
 
     /**
-     * \brief Set the option length.
-     * \param length the option length
+     * @brief Set the option length.
+     * @param length the option length
      */
     void SetLength(uint8_t length);
 
     /**
-     * \brief Get the option length.
-     * \return the option length
+     * @brief Get the option length.
+     * @return the option length
      */
     uint8_t GetLength() const;
 
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      *
      * Subclasses should only implement this method, if special alignment is
      * required. Default is no alignment (1n+0).
@@ -119,290 +119,290 @@
 
   private:
     /**
-     * \brief The type of the option.
+     * @brief The type of the option.
      */
     uint8_t m_type;
 
     /**
-     * \brief The option length.
+     * @brief The option length.
      */
     uint8_t m_length;
 
     /**
-     * \brief The anonymous data of this option
+     * @brief The anonymous data of this option
      */
     Buffer m_data;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief Header of IPv6 Option Pad1
+ * @brief Header of IPv6 Option Pad1
  */
 class Ipv6OptionPad1Header : public Ipv6OptionHeader
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionPad1Header();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionPad1Header() override;
 
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief Header of IPv6 Option Padn
+ * @brief Header of IPv6 Option Padn
  */
 class Ipv6OptionPadnHeader : public Ipv6OptionHeader
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
-     * \param pad Number of bytes to pad (>=2)
+     * @brief Constructor.
+     * @param pad Number of bytes to pad (>=2)
      */
     Ipv6OptionPadnHeader(uint32_t pad = 2);
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionPadnHeader() override;
 
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief Header of IPv6 Option Jumbogram
+ * @brief Header of IPv6 Option Jumbogram
  */
 class Ipv6OptionJumbogramHeader : public Ipv6OptionHeader
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionJumbogramHeader();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionJumbogramHeader() override;
 
     /**
-     * \brief Set the data length.
-     * \param dataLength the data length
+     * @brief Set the data length.
+     * @param dataLength the data length
      */
     void SetDataLength(uint32_t dataLength);
 
     /**
-     * \brief Get the data length.
-     * \return the data length
+     * @brief Get the data length.
+     * @return the data length
      */
     uint32_t GetDataLength() const;
 
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief The data length.
+     * @brief The data length.
      */
     uint32_t m_dataLength;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief Header of IPv6 Option Router Alert
+ * @brief Header of IPv6 Option Router Alert
  */
 class Ipv6OptionRouterAlertHeader : public Ipv6OptionHeader
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionRouterAlertHeader();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionRouterAlertHeader() override;
 
     /**
-     * \brief Set the field "value".
-     * \param value the value to be set.
+     * @brief Set the field "value".
+     * @param value the value to be set.
      */
     void SetValue(uint16_t value);
 
     /**
-     * \brief Get the field "value".
-     * \return the field "value"
+     * @brief Get the field "value".
+     * @return the field "value"
      */
     uint16_t GetValue() const;
 
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief The value.
+     * @brief The value.
      */
     uint16_t m_value;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-packet-filter.h ns-3.44/src/internet/model/ipv6-packet-filter.h
--- ns-3.43/src/internet/model/ipv6-packet-filter.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-packet-filter.h	2025-03-09 16:55:49.399371100 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup ipv6
- * \ingroup traffic-control
+ * @ingroup ipv6
+ * @ingroup traffic-control
  *
  * Ipv6PacketFilter is the abstract base class for filters defined for IPv6 packets.
  */
@@ -28,8 +28,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-packet-info-tag.h ns-3.44/src/internet/model/ipv6-packet-info-tag.h
--- ns-3.43/src/internet/model/ipv6-packet-info-tag.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-packet-info-tag.h	2025-03-09 16:55:49.399371100 -0700
@@ -19,9 +19,9 @@
 class Packet;
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief This class implements a tag that carries socket ancillary
+ * @brief This class implements a tag that carries socket ancillary
  * data to the socket interface. This is used like
  * socket option of IP_PKTINFO/IPV6_PKTINFO in \RFC{3542}
  *
@@ -39,64 +39,64 @@
     Ipv6PacketInfoTag();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Set the tag's address
+     * @brief Set the tag's address
      *
-     * \param addr the address
+     * @param addr the address
      */
     void SetAddress(Ipv6Address addr);
 
     /**
-     * \brief Get the tag's address
+     * @brief Get the tag's address
      *
-     * \returns the address
+     * @returns the address
      */
     Ipv6Address GetAddress() const;
 
     /**
-     * \brief Set the tag's receiving interface
+     * @brief Set the tag's receiving interface
      *
-     * \param ifindex the interface index
+     * @param ifindex the interface index
      */
     void SetRecvIf(uint32_t ifindex);
 
     /**
-     * \brief Get the tag's receiving interface
+     * @brief Get the tag's receiving interface
      *
-     * \returns the interface index
+     * @returns the interface index
      */
     uint32_t GetRecvIf() const;
 
     /**
-     * \brief Set the tag's Hop Limit
+     * @brief Set the tag's Hop Limit
      *
-     * \param ttl the hop limit
+     * @param ttl the hop limit
      */
     void SetHoplimit(uint8_t ttl);
 
     /**
-     * \brief Get the tag's Hop Limit
+     * @brief Get the tag's Hop Limit
      *
-     * \returns the Hop Limit
+     * @returns the Hop Limit
      */
     uint8_t GetHoplimit() const;
 
     /**
-     * \brief Set the tag's Traffic Class
+     * @brief Set the tag's Traffic Class
      *
-     * \param tclass the Traffic Class
+     * @param tclass the Traffic Class
      */
     void SetTrafficClass(uint8_t tclass);
 
     /**
-     * \brief Get the tag's Traffic Class
+     * @brief Get the tag's Traffic Class
      *
-     * \returns the Traffic Class
+     * @returns the Traffic Class
      */
     uint8_t GetTrafficClass() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-packet-probe.h ns-3.44/src/internet/model/ipv6-packet-probe.h
--- ns-3.43/src/internet/model/ipv6-packet-probe.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-packet-probe.h	2025-03-09 16:55:49.399371100 -0700
@@ -28,7 +28,7 @@
 {
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
  * This class is designed to probe an underlying ns3 TraceSource
  * exporting a packet, an IPv6 object, and an interface.  This probe
@@ -41,8 +41,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -50,21 +50,21 @@
     ~Ipv6PacketProbe() override;
 
     /**
-     * \brief Set a probe value
+     * @brief Set a probe value
      *
-     * \param packet set the traced packet equal to this
-     * \param ipv6 set the IPv6 object for the traced packet equal to this
-     * \param interface set the IPv6 interface for the traced packet equal to this
+     * @param packet set the traced packet equal to this
+     * @param ipv6 set the IPv6 object for the traced packet equal to this
+     * @param interface set the IPv6 interface for the traced packet equal to this
      */
     void SetValue(Ptr<const Packet> packet, Ptr<Ipv6> ipv6, uint32_t interface);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path config path to access the probe
-     * \param packet set the traced packet equal to this
-     * \param ipv6 set the IPv6 object for the traced packet equal to this
-     * \param interface set the IPv6 interface for the traced packet equal to this
+     * @param path config path to access the probe
+     * @param packet set the traced packet equal to this
+     * @param ipv6 set the IPv6 object for the traced packet equal to this
+     * @param interface set the IPv6 interface for the traced packet equal to this
      */
     static void SetValueByPath(std::string path,
                                Ptr<const Packet> packet,
@@ -72,18 +72,18 @@
                                uint32_t interface);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -92,12 +92,12 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource with
+     * @brief Method to connect to an underlying ns3::TraceSource with
      * arguments of type Ptr<const Packet>, Ptr<Ipv6>, and uint32_t
      *
-     * \param packet the traced packet
-     * \param ipv6 the IPv6 object for the traced packet
-     * \param interface the IPv6 interface for the traced packet
+     * @param packet the traced packet
+     * @param ipv6 the IPv6 object for the traced packet
+     * @param interface the IPv6 interface for the traced packet
      */
     void TraceSink(Ptr<const Packet> packet, Ptr<Ipv6> ipv6, uint32_t interface);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-pmtu-cache.cc ns-3.44/src/internet/model/ipv6-pmtu-cache.cc
--- ns-3.43/src/internet/model/ipv6-pmtu-cache.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-pmtu-cache.cc	2025-03-09 16:55:49.399371100 -0700
@@ -30,7 +30,7 @@
                 "Validity time for a Path MTU entry. Default is 10 minutes, minimum is 5 minutes.",
                 TimeValue(Seconds(60 * 10)),
                 MakeTimeAccessor(&Ipv6PmtuCache::m_validityTime),
-                MakeTimeChecker(Time(Seconds(60 * 5))));
+                MakeTimeChecker(Seconds(60 * 5)));
     return tid;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-pmtu-cache.h ns-3.44/src/internet/model/ipv6-pmtu-cache.h
--- ns-3.43/src/internet/model/ipv6-pmtu-cache.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-pmtu-cache.h	2025-03-09 16:55:49.399371100 -0700
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief This class implements the Path MTU cache, as defined by \RFC{1981}.
+ * @brief This class implements the Path MTU cache, as defined by \RFC{1981}.
  *
  * The Path MTU is stored according to the destination address, and it is
  * cleared upon expiration (default validity time is 10 minutes).
@@ -39,77 +39,77 @@
     class Entry;
 
     /**
-     * \brief Get the type ID
-     * \return type ID
+     * @brief Get the type ID
+     * @return type ID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6PmtuCache();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6PmtuCache() override;
 
     /**
-     * \brief Dispose object.
+     * @brief Dispose object.
      */
     void DoDispose() override;
 
     /**
-     * \brief Gets the known Path MTU for the specific destination
-     * \param dst the destination
-     * \return the Path MTU (zero if unknown)
+     * @brief Gets the known Path MTU for the specific destination
+     * @param dst the destination
+     * @return the Path MTU (zero if unknown)
      */
     uint32_t GetPmtu(Ipv6Address dst);
 
     /**
-     * \brief Sets the Path MTU for the specific destination
-     * \param dst the destination
-     * \param pmtu the Path MTU
+     * @brief Sets the Path MTU for the specific destination
+     * @param dst the destination
+     * @param pmtu the Path MTU
      */
     void SetPmtu(Ipv6Address dst, uint32_t pmtu);
 
     /**
-     * \brief Gets the Path MTU validity time
-     * \return the Path MTU validity time
+     * @brief Gets the Path MTU validity time
+     * @return the Path MTU validity time
      */
     Time GetPmtuValidityTime() const;
 
     /**
-     * \brief Sets the Path MTU validity time (minimum is 5 minutes)
-     * \param validity the Path MTU validity time
-     * \return true if the change was successful
+     * @brief Sets the Path MTU validity time (minimum is 5 minutes)
+     * @param validity the Path MTU validity time
+     * @return true if the change was successful
      */
     bool SetPmtuValidityTime(Time validity);
 
   private:
     /**
-     * \brief Clears the Path MTU for the specific destination
-     * \param dst the destination
+     * @brief Clears the Path MTU for the specific destination
+     * @param dst the destination
      */
     void ClearPmtu(Ipv6Address dst);
 
     /**
-     * \brief Path MTU table
+     * @brief Path MTU table
      */
     std::map<Ipv6Address, uint32_t> m_pathMtu;
 
     /**
-     * \brief Container of the IPv6 PMTU data (Ipv6 destination address and expiration event).
+     * @brief Container of the IPv6 PMTU data (Ipv6 destination address and expiration event).
      */
     typedef std::map<Ipv6Address, EventId>::iterator pathMtuTimerIter;
 
     /**
-     * \brief Path MTU Expiration table
+     * @brief Path MTU Expiration table
      */
     std::map<Ipv6Address, EventId> m_pathMtuTimer;
 
     /**
-     * \brief Path MTU entry validity time
+     * @brief Path MTU entry validity time
      */
     Time m_validityTime;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-queue-disc-item.h ns-3.44/src/internet/model/ipv6-queue-disc-item.h
--- ns-3.43/src/internet/model/ipv6-queue-disc-item.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-queue-disc-item.h	2025-03-09 16:55:49.399371100 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup ipv6
- * \ingroup traffic-control
+ * @ingroup ipv6
+ * @ingroup traffic-control
  *
  * Ipv6QueueDiscItem is a subclass of QueueDiscItem which stores IPv6 packets.
  * Header and payload are kept separate to allow the queue disc to manipulate
@@ -27,11 +27,11 @@
 {
   public:
     /**
-     * \brief Create an IPv6 queue disc item containing an IPv6 packet.
-     * \param p the packet included in the created item.
-     * \param addr the destination MAC address
-     * \param protocol the protocol number
-     * \param header the IPv6 header
+     * @brief Create an IPv6 queue disc item containing an IPv6 packet.
+     * @param p the packet included in the created item.
+     * @param addr the destination MAC address
+     * @param protocol the protocol number
+     * @param header the IPv6 header
      */
     Ipv6QueueDiscItem(Ptr<Packet> p,
                       const Address& addr,
@@ -46,23 +46,23 @@
     Ipv6QueueDiscItem& operator=(const Ipv6QueueDiscItem&) = delete;
 
     /**
-     * \return the correct packet size (header plus payload).
+     * @return the correct packet size (header plus payload).
      */
     uint32_t GetSize() const override;
 
     /**
-     * \return the header stored in this item..
+     * @return the header stored in this item..
      */
     const Ipv6Header& GetHeader() const;
 
     /**
-     * \brief Add the header to the packet
+     * @brief Add the header to the packet
      */
     void AddHeader() override;
 
     /**
-     * \brief Print the item contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the item contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const override;
 
@@ -76,21 +76,21 @@
     bool GetUint8Value(Uint8Values field, uint8_t& value) const override;
 
     /**
-     * \brief Marks the packet by setting ECN_CE bits if the packet has
+     * @brief Marks the packet by setting ECN_CE bits if the packet has
      * ECN_ECT0 or ECN_ECT1 set.  If ECN_CE is already set, returns true.
-     * \return true if the method results in a marked packet, false otherwise
+     * @return true if the method results in a marked packet, false otherwise
      */
     bool Mark() override;
 
     /**
-     * \brief Computes the hash of the packet's 5-tuple
+     * @brief Computes the hash of the packet's 5-tuple
      *
      * Computes the hash of the source and destination IP addresses, protocol
      * number and, if the transport protocol is either UDP or TCP, the source
      * and destination port
      *
-     * \param perturbation hash perturbation value
-     * \return the hash of the packet's 5-tuple
+     * @param perturbation hash perturbation value
+     * @return the hash of the packet's 5-tuple
      */
     uint32_t Hash(uint32_t perturbation) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-raw-socket-factory.h ns-3.44/src/internet/model/ipv6-raw-socket-factory.h
--- ns-3.43/src/internet/model/ipv6-raw-socket-factory.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-raw-socket-factory.h	2025-03-09 16:55:49.399371100 -0700
@@ -17,10 +17,10 @@
 class Socket;
 
 /**
- * \ingroup ipv6
- * \ingroup socket
+ * @ingroup ipv6
+ * @ingroup socket
  *
- * \brief API to create IPv6 RAW socket instances
+ * @brief API to create IPv6 RAW socket instances
  *
  * This abstract class defines the API for IPv6 RAW socket factory.
  *
@@ -34,7 +34,7 @@
  * behavior.
  *
  * A correct example is (from src/applications/model/radvd.cc):
- * \code
+ * @code
    if (!m_socket)
      {
        TypeId tid = TypeId::LookupByName ("ns3::Ipv6RawSocketFactory");
@@ -45,15 +45,15 @@
        m_socket->SetAttribute ("Protocol", UintegerValue(Ipv6Header::IPV6_ICMPV6));
        m_socket->SetRecvCallback (MakeCallback (&Radvd::HandleRead, this));
      }
- * \endcode
+ * @endcode
  *
  */
 class Ipv6RawSocketFactory : public SocketFactory
 {
   public:
     /**
-     * \brief Get the type ID of this class.
-     * \return type ID
+     * @brief Get the type ID of this class.
+     * @return type ID
      */
     static TypeId GetTypeId();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-raw-socket-factory-impl.h ns-3.44/src/internet/model/ipv6-raw-socket-factory-impl.h
--- ns-3.43/src/internet/model/ipv6-raw-socket-factory-impl.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-raw-socket-factory-impl.h	2025-03-09 16:55:49.399371100 -0700
@@ -15,17 +15,17 @@
 {
 
 /**
- * \ingroup socket
- * \ingroup ipv6
+ * @ingroup socket
+ * @ingroup ipv6
  *
- * \brief Implementation of IPv6 raw socket factory.
+ * @brief Implementation of IPv6 raw socket factory.
  */
 class Ipv6RawSocketFactoryImpl : public Ipv6RawSocketFactory
 {
   public:
     /**
-     * \brief Create a raw IPv6 socket.
-     * \returns A new RAW IPv6 socket.
+     * @brief Create a raw IPv6 socket.
+     * @returns A new RAW IPv6 socket.
      */
     Ptr<Socket> CreateSocket() override;
 };
